﻿
using System;
using System.ComponentModel;
using Wisej.Web;

namespace ListViewComboboxIssue
{
    public partial class Window1 : Form
    {
        internal BindingList<Customer> CustomerList
        {
            get
            {
                if (_customerList == null)
                    _customerList = new BindingList<Customer>();
                return _customerList;
            }
            set { _customerList = value; }
        }
        BindingList<Customer> _customerList;

        public Window1()
        {
            InitializeComponent();
        }
        private void PageComboBox_Load(object sender, EventArgs e)
        {
            LoadData();
        }


        private void LoadData()
        {
            // Dim Customers As New List(Of clsCustomers)
            int i;
            Customer customer;

            for (i = 1; i <= 50; i++)
            {
                customer = new Customer();
                customer.ID = i;
                customer.Name = "Customer " + i;
                customer.City = "City " + i;

                CustomerList.Add(customer);
            }

            listViewComboBox1.ListView.DataSource = CustomerList;
            listViewComboBox1.ListView.DisplayPropertyName = "Name";
        }

        private void listViewComboBox1_DropDown(object sender, EventArgs e)
        {
            ListViewComboBox listViewComboBox = sender as ListViewComboBox;
            int width = 20;
            foreach (ColumnHeader columnHeader in listViewComboBox.Columns)
            {
                width += columnHeader.Width;
            }
            listViewComboBox.ListView.Width = width;
            listViewComboBox.ListView.Invalidate();
        }

        private void listViewComboBox1_SelectedItemChanged(object sender, EventArgs e)
        {
            ListViewComboBox listViewComboBox = sender as ListViewComboBox;
            if (listViewComboBox.SelectedItem != null)
            {
                textBox1.Text = listViewComboBox.SelectedItem.SubItems[1].Text;
                //listViewComboBox.Text = listViewComboBox.SelectedItem.SubItems[0].Text;
            }
            listViewComboBox.DroppedDown = false;
        }
    }
}
